Subject: Re: [PATCH v8 2/4] format-patch: add ability to use alt cover format

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Mar 2026 10:25:25 -0700

Mirko Faina <[email-masked]> writes:

>> future developers to introduce something other than "shortlog", no?
>> If the version of Git in 'next' supports "longlog" and user gives
>
> Not really, anyone can introduce new formats, it's just an additional if
> statement.
>
>> "--cover-letter-format=longlog" to their version that does not yet
>> support it, it would be mistaken by the version of the code here as
>> a "log:longlog" without any placeholder that shows a fixed string
>> "longlog" for each commit in the series?  We'd rather want such an
>> input to cause failure, no?
>
> Isn't that the same for any feature that is in next but not merged in
> master yet? I wouldn't expect subcommands of history not yet merged in
> master to work either if I'm using a version built from master. This is
> an issue with the user and I don't think it's grounds for any issue.

Or misspelt "chrnological".  What are we gaining by removing it,
which would rob safe extensibility (aka "future-proofing") and typo
detection?

It is a bad idea to drop "log:", period.